Subject: Re: bug#46217: 27.1.91; Configuring certain font ligatures causes Emacs 27 to hang.

From: Johannes Grødem <[email-masked]>
Date: Sun, 31 Jan 2021 19:46:02 +0000

"Eli Zaretskii" <[email-masked]> writes:
>> From: Johannes Grødem <[email-masked]>
>> This seems to be fixed in commit
>> fe903c5ab7354b97f80ecf1b01ca3ff1027be446 by Eli Zaretskii, which is on
>> master, but not on emacs-27. I've cherry-picked this on the emacs-27 and
>> verified that it fixes at least the issue I'm having. Could this be
>> included in the next 27-release?
> Sorry, no.  It's too late to include changes with non-trivial
> consequences such as this one on the release branch.
>
> Since you have patched your own Emacs, the problem is fixed for you,
> yes?  Others will have to decide whether they want to switch to the
> development snapshot of Emacs 28 or patch their Emacs 27.

Hi, Eli.  No, it's not a problem for me at all, now that I figured out
what was wrong.

(Though it wasn't so easy to figure out what it was because there were
no error messages, and I'm not familiar with Emacs internals, so it was
hard to navigate them in GDB.  In the end I found it git-bisecting my
configuration files.)